<template lang="pug">
  div.column.q-pt-xl.q-pl-lg.full-width
    span.q-pb-lg Selecione as atividades a serem feitas em cada dia
    q-select(
      filled
      v-model="segunda"
      multiple
      :options="opcoes"
      label="Segunda"
    ).q-py-xs
    q-select(
      filled
      v-model="terca"
      multiple
      :options="opcoes"
      label="Terça"
    ).q-py-xs
    q-select(
      filled
      v-model="quarta"
      multiple
      :options="opcoes"
      label="Quarta"
    ).q-py-xs
    q-select(
      filled
      v-model="quinta"
      multiple
      :options="opcoes"
      label="Quinta"
    ).q-py-xs
    q-select(
      filled
      v-model="sexta"
      multiple
      :options="opcoes"
      label="Sexta"
    ).q-py-xs
    q-select(
      filled
      v-model="sabado"
      multiple
      :options="opcoes"
      label="Sabado"
    ).q-py-xs
    q-select(
      filled
      v-model="domingo"
      multiple
      :options="opcoes"
      label="Domingo"
    ).q-py-xs
    q-btn(v-if="!loading" color="secondary" text-color="white" glossy label="Avançar" @click="avancar()").q-my-xl
    q-spinner-tail(v-else color="secondary" size="6em").self-center

</template>

<script>
import { QSelect, QSpinnerTail } from 'quasar'

export default {
  name: 'TarefasFamilia',
  components: {
    QSelect,
    QSpinnerTail
  },
  data () {
    return {
      segunda: [],
      terca: [],
      quarta: [],
      quinta: [],
      sexta: [],
      sabado: [],
      domingo: [],
      loading: false,
      tarefas: [],
      opcoes: [
        'Arrumar a casa',
        'Fazer lanche',
        'Cozinhar',
        'Lavar roupa',
        'Tirar o lixo',
        'Arrumar a cama',
        'Trocar a roupa de cama',
        'Regar as plantas',
        'Fazer compras',
        'Lavar o carro',
        'Dar banho no animal',
        'Dar comida para o animal',
        'Cuidar de um parente',
      ]
    }
  },
  computed: {
  },
  methods: {
    avancar () {
      this.$emit('avancar', this.segunda, this.terca, this.quarta, this.quinta, this.sexta, this.sabado, this.domingo)
    }
  }
}
</script>

<style lang="stylus">
.width-100
  width 100%
.q-field__inner
  padding 0

.grid
  display grid
  grid-template-columns: auto 60%
  grid-template-areas: "itens checkbox"
  width 100%

.itens
  grid-area itens

.checkbox
  grid-area checkbox
</style>